> ## Documentation Index
> Fetch the complete documentation index at: https://docs.convertly.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Provision WordPress Image CDN delivery

> Create or reuse a WordPress uploads origin and return the public CDN endpoint configuration for an official or compatible plugin integration.



## OpenAPI

````yaml /openapi.json post /api/wordpress/cdn-provision
openapi: 3.1.0
info:
  title: Convertly API
  version: 1.0.0
  description: >-
    Convertly provides production API endpoints for media conversion,
    compression, Image CDN delivery, Forma AI, HLS/DASH video streaming, media
    tools, async jobs, workflows, webhooks, and Convertly Storage.
  license:
    name: Proprietary
    url: https://convertly.sh/terms
servers:
  - url: https://convertly.sh
security:
  - bearerAuth: []
  - apiKeyAuth: []
paths:
  /api/wordpress/cdn-provision:
    post:
      tags:
        - WordPress
      summary: Provision WordPress Image CDN delivery
      description: >-
        Create or reuse a WordPress uploads origin and return the public CDN
        endpoint configuration for an official or compatible plugin integration.
      operationId: provisionWordPressCdn
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - siteName
                - slug
                - uploadsUrl
              properties:
                siteName:
                  type: string
                  maxLength: 64
                slug:
                  type: string
                  maxLength: 63
                  pattern: ^[a-z0-9][a-z0-9_-]*$
                uploadsUrl:
                  type: string
                  format: uri
      responses:
        '200':
          description: WordPress CDN origin and endpoint configuration
        '400':
          $ref: '#/components/responses/Error'
        '401':
          $ref: '#/components/responses/Error'
        '409':
          $ref: '#/components/responses/Error'
components:
  responses:
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
        upgradeUrl:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Dashboard-generated Convertly API key. Keys currently begin with
        `cvly_`.
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Alternative API key header for server-side clients.

````